use "`dir'MatchedSample.dta"

/*Supplement Table S1*/
preserve
keep if match_rule=="NOSOUNDEX"
xi:regress lnadjINDinc28_10 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE i.age_1910_coded if age_1910_coded>=18, cluster(serial)
gen IN3 = 1 if e(sample) & lnsbocc60avg_10~=.

/*Col 1*/
regress lnadjINDinc28_10 REGIONALMIG  if (IN3==1 & age_1910_coded >= 18), cluster(serial)
regress lnrealIND28_10_X REGIONALMIG  if (IN3==1 & age_1910_coded >= 18), cluster(serial)

regress lnsbocc60avg_10 REGIONALMIG  if (IN3==1 & age_1910_coded >= 18), cluster(serial)
regress lnrealsbocc60_10_X REGIONALMIG  if (IN3==1 & age_1910_coded >= 18), cluster(serial)

/*Col 2*/
regress lnadjINDinc28_10 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), cluster(serial)
regress lnrealIND28_10_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), cluster(serial)

regress lnsbocc60avg_10 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), cluster(serial)
regress lnrealsbocc60_10_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), cluster(serial)

/*Col 3 */

/*define unique counties in 1910*/
destring (county_code_1910), replace
tostring(county_code_1910), replace
generate statecounty=state_1910+county_code_1910

areg lnadjINDinc28_10 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), a(statecounty) cluster(serial)
areg lnrealIND28_10_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), a(statecounty) cluster(serial)

areg lnsbocc60avg_10 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), a(statecounty) cluster(serial)
areg lnrealsbocc60_10_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), a(statecounty) cluster(serial)
restore

/*------------------------------------------------------------------------------------------------------------ */

/*Supplement Table S2 */
preserve
keep if match_rule=="NOSOUNDEX"

xi: reg  lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 i.age_1910_coded, cluster(serial)
gen IN=1 if e(sample) & lnsbocc60avg_30~=.
  
/*Column 1*/
regress lnadjINDinc28_30 REGIONALMIG  if (IN == 1 ), cluster(serial)
regress lnrealIND_30_X REGIONALMIG  if (IN == 1 ), cluster(serial)

regress lnsbocc60avg_30 REGIONALMIG  if (IN == 1 ), cluster(serial)
regress lnrealsbocc60_30_X REGIONALMIG  if (IN == 1 ), cluster(serial)

/*Column 2*/
regress lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)
regress lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)

regress lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)
regress lnrealsbocc60_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)

/* Column 3 */
/*define unique counties in 1910*/
destring (county_code_1910), replace
tostring(county_code_1910), replace
generate statecounty=state_1910+county_code_1910

areg lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)

areg lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg lnrealsbocc60_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)

/* Column 4a */
areg lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)
areg lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910  _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)

areg lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)
areg lnrealsbocc60_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)

/* Column 4b */
areg lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)
areg lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE  HEAD_1910 OWN_1910 HEADxOWN_1910  _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)

areg lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)
areg lnrealsbocc60_30_X REGIONALMIG VETRECODE VETNOCODE HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)

/* Column 5a */
regress lnIND28_diff REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 & age_1910_coded >= 18), cluster(serial)
gen DIFFIN=1 if e(sample) & lnsbocc60_diff~=.

regress lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial) /*level regression with same sample*/
regress lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial)

regress lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial) /*level regression with same sample*/
regress lnrealsbocc60_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial)

/* Column 5b */
regress lnIND28_diff REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)
regress lnIND_diff_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)

regress lnsbocc60_diff REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)
regress lnsbocc_diff_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)

restore


/*------------------------------------------------------------------------------------------------------------ */


/*Supplement Table S3*/
preserve
xi:regress lnadjINDinc28_10 REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE i.age_1910_coded if age_1910_coded>=18, cluster(serial)
gen IN3 = 1 if e(sample) & lnsbocc60avg_10~=.

/*Col 1*/
regress lnadjINDinc28_10 REGIONALMIG  if (IN3==1 & age_1910_coded >= 18), cluster(serial)
regress lnrealIND28_10_X REGIONALMIG  if (IN3==1 & age_1910_coded >= 18), cluster(serial)
regress lnsbocc60avg_10 REGIONALMIG  if (IN3==1 & age_1910_coded >= 18), cluster(serial)
regress lnrealsbocc60_10_X REGIONALMIG  if (IN3==1 & age_1910_coded >= 18), cluster(serial)


/*Col 2*/

regress lnadjINDinc28_10 REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), cluster(serial)
regress lnrealIND28_10_X REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), cluster(serial)

regress lnsbocc60avg_10 REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), cluster(serial)
regress lnrealsbocc60_10_X REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), cluster(serial)


/*Col 3 */
/*define unique counties in 1910*/
destring (county_code_1910), replace
tostring(county_code_1910), replace
generate statecounty=state_1910+county_code_1910

areg lnadjINDinc28_10 REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), a(statecounty) cluster(serial)
areg lnrealIND28_10_X REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), a(statecounty) cluster(serial)

areg lnsbocc60avg_10 REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), a(statecounty) cluster(serial)
areg lnrealsbocc60_10_X REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), a(statecounty) cluster(serial)

restore

/*------------------------------------------------------------------------------------------------------------ */


/*Supplement Table S4 */
preserve
xi: reg  lnadjINDinc28_30 REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 i.age_1910_coded, cluster(serial)
gen IN=1 if e(sample) & lnsbocc60avg_30~=.
  
/* Column 1 */
regress lnadjINDinc28_30 REGIONALMIG  if (IN == 1 ), cluster(serial)
regress lnrealIND_30_X REGIONALMIG  if (IN == 1 ), cluster(serial)

regress lnsbocc60avg_30 REGIONALMIG  if (IN == 1 ), cluster(serial)
regress lnrealsbocc60_30_X REGIONALMIG  if (IN == 1 ), cluster(serial)

/* Column 2 */
regress lnadjINDinc28_30 REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)
regress lnrealIND_30_X REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)

regress lnsbocc60avg_30 REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)
regress lnrealsbocc60_30_X REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)

/* Column 3 */
/*define unique counties in 1910*/
destring (county_code_1910), replace
tostring(county_code_1910), replace
generate statecounty=state_1910+county_code_1910

areg lnadjINDinc28_30 REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg lnrealIND_30_X REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)

areg lnsbocc60avg_30 REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg lnrealsbocc60_30_X REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)

/* Column 4a */
areg lnadjINDinc28_30 REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)
areg lnrealIND_30_X REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910  _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)


areg lnsbocc60avg_30 REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)
areg lnrealsbocc60_30_X REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)

/* Column 4b */
areg lnadjINDinc28_30 REGIONALMIG lit_1910_coded VETRECODE VETNOCODE HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)
areg lnrealIND_30_X REGIONALMIG lit_1910_coded VETRECODE VETNOCODE  HEAD_1910 OWN_1910 HEADxOWN_1910  _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)

areg lnsbocc60avg_30 REGIONALMIG lit_1910_coded VETRECODE VETNOCODE HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)
areg lnrealsbocc60_30_X REGIONALMIG lit_1910_coded VETRECODE VETNOCODE HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)

/* Column 5a */
regress lnIND28_diff REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 & age_1910_coded >= 18), cluster(serial)
gen DIFFIN=1 if e(sample) & lnsbocc60_diff~=.

regress lnadjINDinc28_30 REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial) /*level regression with same sample*/
regress lnrealIND_30_X REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial)

regress lnsbocc60avg_30 REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial) /*level regression with same sample*/
regress lnrealsbocc60_30_X REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial)

/* Column 5b */

regress lnIND28_diff REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)
regress lnIND_diff_X REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)

regress lnsbocc60_diff REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)
regress lnsbocc_diff_X REGIONALMIG lit_1910_coded VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)

restore

/*------------------------------------------------------------------------------------------------------------ */

/*Supplement Table S5 */
preserve
xi: reg  lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 i.age_1910_coded, cluster(serial)
gen IN=1 if e(sample) & lnsbocc60avg_30~=.
  
/* Column 1 */
regress lnrealIND_30_LW REGIONALMIG  if (IN == 1 ), cluster(serial)
regress lnrealsbocc60_30_LW REGIONALMIG  if (IN == 1 ), cluster(serial)

/* Column 2 */
regress lnrealIND_30_LW REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)
regress lnrealsbocc60_30_LW REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)

/* Column 3 */
/*define unique counties in 1910*/
destring (county_code_1910), replace
tostring(county_code_1910), replace
generate statecounty=state_1910+county_code_1910

areg lnrealIND_30_LW REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg lnrealsbocc60_30_LW REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)

/* Column 4a */
areg lnrealIND_30_LW REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910  _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3), a(statecounty) cluster(serial)
areg lnrealsbocc60_30_LW REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)

/* Column 4b */
areg lnrealIND_30_LW REGIONALMIG VETRECODE VETNOCODE HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)
areg lnrealsbocc60_30_LW REGIONALMIG VETRECODE VETNOCODE  HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)

/* Column 5a */
regress lnIND28_diff REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 & age_1910_coded >= 18), cluster(serial)
gen DIFFIN=1 if e(sample) & lnsbocc60_diff~=.

regress lnrealIND_30_LW REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial) /*level regression with same sample*/
regress lnrealsbocc60_30_LW REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial) /*level regression with same sample*/

/*Column 5b*/
regress lnIND_diff_LW REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)
regress lnsbocc_diff_LW REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)

restore

/*------------------------------------------------------------------------------------------------------------ */


/*Supplement Table S6*/

preserve
do "`dir'Adjustment Table S6.do" /*re-assign agriculture incomes*/
  
xi: reg  lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 i.age_1910_coded, cluster(serial)
gen IN=1 if e(sample) & lnsbocc60avg_30~=.
  
/* Column 1*/
regress lnadjINDinc28_30 REGIONALMIG  if (IN == 1 ), cluster(serial)
regress lnrealIND_30_X REGIONALMIG  if (IN == 1 ), cluster(serial)

/* Column 2*/
regress lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)
regress lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)

/* Column 3 */
/*define unique counties in 1910*/
destring (county_code_1910), replace
tostring(county_code_1910), replace
generate statecounty=state_1910+county_code_1910

areg lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)

/* Column 4a */
areg lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)
areg lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910  _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)


/* Column 4b */
areg lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)
areg lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE  HEAD_1910 OWN_1910 HEADxOWN_1910  _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)

/* Column 5a */
regress lnIND28_diff REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 & age_1910_coded >= 18), cluster(serial)
gen DIFFIN=1 if e(sample) & lnsbocc60_diff~=.

regress lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial) /*level regression with same sample*/
regress lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial)

/* Column 5b */
regress lnIND28_diff REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)
regress lnIND_diff_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)

restore


/*------------------------------------------------------------------------------------------------------------ */


/*Supplement Table S7*/
preserve
do "`dir'Adjustment Table S7.do" /*re-assign agriculture incomes*/
  
xi: reg  lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 i.age_1910_coded, cluster(serial)
gen IN=1 if e(sample) & lnsbocc60avg_30~=.
  
/* Column 1 */
regress lnadjINDinc28_30 REGIONALMIG if (IN == 1 ), cluster(serial)
regress lnrealIND_30_X REGIONALMIG if (IN == 1 ), cluster(serial)

/* Column 2 */
regress lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)
regress lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)

/* Column 3 */
/*define unique counties in 1910*/
destring (county_code_1910), replace
tostring(county_code_1910), replace
generate statecounty=state_1910+county_code_1910

areg lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)

/* Column 4a */
areg lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)
areg lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910  _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)


/* Column 4b */
areg lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)
areg lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE  HEAD_1910 OWN_1910 HEADxOWN_1910  _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)

/* Column 5a */
regress lnIND28_diff REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 & age_1910_coded >= 18), cluster(serial)
gen DIFFIN=1 if e(sample) & lnsbocc60_diff~=.

regress lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial) /*level regression with same sample*/
regress lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial)

/* Column 5b */
regress lnIND28_diff REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)
regress lnIND_diff_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)

restore

/*------------------------------------------------------------------------------------------------------------ */


/*Supplement Table S8*/


/*Column 2*/
preserve
destring (county_code_1910), replace
tostring(county_code_1910), replace
generate statecounty=state_1910+county_code_1910
do "`dir'Adjustment Table S8.do" /*re-assign unemployed income of 25% employed incomes*/
xi: reg  lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 i.age_1910_coded, cluster(serial)
gen IN=1 if e(sample) & lnsbocc60avg_30~=.

/* Column 2 */
areg lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg lnrealsbocc60_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)

restore

/*Column 3*/
/*define unique counties in 1910*/
preserve
destring (county_code_1910), replace
tostring(county_code_1910), replace
generate statecounty=state_1910+county_code_1910

gen realIND_30_X=exp(lnrealIND_30_X) /*convert to levels*/
gen realsbocc60_30_X=exp(lnrealsbocc60_30_X) /*convert to levels*/

xi: reg  adjINDinc28_1930 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 i.age_1910_coded, cluster(serial)
gen IN=1 if e(sample) & lnsbocc60avg_30~=.
  
areg adjINDinc28_1930 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg realIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg sbocc60avg_1930 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg realsbocc60_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)

drop IN

/*Column 4*/

xi: reg  adjINDinc28_1930 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 i.age_1910_coded, cluster(serial)
gen IN=1 if e(sample) & lnsbocc60avg_30~=.

replace adjINDinc28_1930=0 if EMPLOYST_1930==0 /*convert to 0's for unemployed*/
replace sbocc60avg_1930=0 if EMPLOYST_1930==0  /*convert to 0's for unemployed*/    
replace realIND_30_X=0 if EMPLOYST_1930==0     /*convert to 0's for unemployed*/
replace realsbocc60_30_X=0 if EMPLOYST_1930==0 /*convert to 0's for unemployed*/ 

areg adjINDinc28_1930 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg realIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)

areg sbocc60avg_1930 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg realsbocc60_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)

restore

/*------------------------------------------------------------------------------------------------------------ */


/*Supplement Table S9a*/
preserve
do "`dir'Adjustment Table S9a.do" /*re-assign all Northerners a wage value corresponding to southerners in the same industry/occupation*/

xi: reg  lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 i.age_1910_coded, cluster(serial)
gen IN=1 if e(sample) & lnsbocc60avg_30~=.
  
/* Column 1 */
regress lnadjINDinc28_30 REGIONALMIG  if (IN == 1 ), cluster(serial)
regress lnsbocc60avg_30 REGIONALMIG  if (IN == 1 ), cluster(serial)

/* Column 2 */
regress lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)
regress lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)

/* Column 3 */
/*define unique counties in 1910*/
destring (county_code_1910), replace
tostring(county_code_1910), replace
generate statecounty=state_1910+county_code_1910

areg lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)

/* Column 4a */
areg lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)
areg lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)


/* Column 4b */
areg lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)
areg lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)

/* Column 5a */
regress lnIND28_diff REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 & age_1910_coded >= 18), cluster(serial)
gen DIFFIN=1 if e(sample) & lnsbocc60_diff~=.

regress lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial) /*level regression with same sample*/
regress lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial) /*level regression with same sample*/

/* Column 5b */
regress lnIND28_diff REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)
regress lnsbocc60_diff REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)

restore

/*------------------------------------------------------------------------------------------------------------*/

/*Supplement Table S9b*/

preserve
do "`dir'Adjustment Table S9a.do"
do "`dir'Adjustment Table S9b.do" /*Assign a N/S Wage premium for northern residents*/
  
xi: reg  lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 i.age_1910_coded, cluster(serial)
gen IN=1 if e(sample) & lnsbocc60avg_30~=.
  
/* Column 1 */
regress lnadjINDinc28_30 REGIONALMIG  if (IN == 1 ), cluster(serial)
regress lnrealIND_30_X REGIONALMIG  if (IN == 1 ), cluster(serial)

regress lnsbocc60avg_30 REGIONALMIG  if (IN == 1 ), cluster(serial)
regress lnrealsbocc60_30_X REGIONALMIG  if (IN == 1 ), cluster(serial)
restore
/* Column 2 */
regress lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)
regress lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)

regress lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)
regress lnrealsbocc60_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)

/* Column 3 */
/*define unique counties in 1910*/
destring (county_code_1910), replace
tostring(county_code_1910), replace
generate statecounty=state_1910+county_code_1910

areg lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)

areg lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg lnrealsbocc60_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)

/*Column 4a */
areg lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)
areg lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910  _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)

areg lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)
areg lnrealsbocc60_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)

/* Column 4b */
areg lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)
areg lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE  HEAD_1910 OWN_1910 HEADxOWN_1910  _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)

areg lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)
areg lnrealsbocc60_30_X REGIONALMIG VETRECODE VETNOCODE HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)

/* Column 5a */
regress lnIND28_diff REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 & age_1910_coded >= 18), cluster(serial)
gen DIFFIN=1 if e(sample) & lnsbocc60_diff~=.

regress lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial) /*level regression with same sample*/
regress lnrealsbocc60_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial)

regress lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial) /*level regression with same sample*/
regress lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNST

/* Column 5b */
regress lnIND28_diff REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)
regress lnIND_diff_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)

regress lnsbocc60_diff REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)
regress lnsbocc_diff_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)

restore

/*------------------------------------------------------------------------------------------------------------ */


/*Supplement Table S10*/
preserve
gen 	IND10=1 	if ind1950_1910==105						/*Agriculture*/
replace IND10=1.5 	if ind1950_1910==116|ind1950_1910==126		/*Forestry, Fishing*/
replace IND10=2 	if ind1950_1910>=206 & ind1950_1910<=239	/*Mining and Extraction*/
replace IND10=3 	if ind1950_1910==246						/*Construction*/
replace IND10=4 	if ind1950_1910>=306 & ind1950_1910<=499	/*Manufacturing*/
replace IND10=5 	if ind1950_1910>=506 & ind1950_1910<=568	/*Transportation*/
replace IND10=6 	if ind1950_1910>=578 & ind1950_1910<=598	/*Communications, Utilities*/
replace IND10=7 	if ind1950_1910>=606 & ind1950_1910<=699	/*Wholesale, Retail Trade*/
replace IND10=8 	if ind1950_1910>=716 & ind1950_1910<=756	/*FIRE*/
replace IND10=9 	if ind1950_1910>=806 & ind1950_1910<=817	/*Business and Repair Services*/
replace IND10=10 	if ind1950_1910==826 						/*Household service*/
replace IND10=11 	if ind1950_1910>=836 & ind1950_1910<=849	/*Other personal service*/
replace IND10=12 	if ind1950_1910>=856 & ind1950_1910<=859	/*Entertainment, Recreation*/
replace IND10=13 	if ind1950_1910>=868 & ind1950_1910<=869	/*Medical and Hospital*/
replace IND10=13.5 	if ind1950_1910==879						/*Legal services*/
replace IND10=14 	if ind1950_1910==888						/*Education*/
replace IND10=15 	if ind1950_1910==896 | ind1950_1910==897	/*Religious and NonProfit*/
replace IND10=16 	if ind1950_1910==906 | ind1950_1910==916	/*Government, federal including postal*/
replace IND10=17 	if ind1950_1910==926 | ind1950_1910==936	/*Government, state and local*/
replace IND10=18 	if ind1950_1910==946						/*Government, not specified*/
replace IND10=19 	if ind1950_1910==997						/*Nonclassifiable*/

xi: reg  lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 i.age_1910_coded, cluster(serial)
gen IN=1 if e(sample) & lnsbocc60avg_30~=.

regress lnIND28_diff REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 & age_1910_coded >= 18), cluster(serial)
gen DIFFIN=1 if e(sample) & lnsbocc60_diff~=.

/*regression for within job-type selection(industry)*/



areg LIT REGIONALMIG agedum1-agedum41 if DIFFIN==1, a(IND10) cluster(serial)

areg OWN_1910 REGIONALMIG agedum1-agedum41 if DIFFIN==1, a(IND10) cluster(serial)

areg CITYBIG_1910 REGIONALMIG agedum1-agedum41 if DIFFIN==1, a(IND10) cluster(serial)

areg empstatd_1910_coded REGIONALMIG agedum1-agedum41 if DIFFIN==1, a(IND10) cluster(serial)

/*regression for within job-type selection(occupation)*/
areg LIT REGIONALMIG agedum1-agedum41 if DIFFIN==1, a(occ1950_1910) cluster(serial)

areg OWN_1910 REGIONALMIG agedum1-agedum41 if DIFFIN==1, a(occ1950_1910) cluster(serial)

areg CITYBIG_1910 REGIONALMIG agedum1-agedum41 if DIFFIN==1, a(occ1950_1910) cluster(serial)

areg empstatd_1910_coded REGIONALMIG agedum1-agedum41 if DIFFIN==1, a(occ1950_1910) cluster(serial)

restore
